tidy.numeric {broom} | R Documentation

## Tidy atomic vectors

### Description

Turn atomic vectors into data frames, where the names of the vector (if they exist) are a column and the values of the vector are a column.

### Usage

    ## S3 method for class 'numeric'
    tidy(x, ...)

    ## S3 method for class 'character'
    tidy(x, ...)

    ## S3 method for class 'logical'
    tidy(x, ...)

### Arguments

`x` | An object of class "numeric", "integer", "character", or "logical". Most likely a named vector
`...` | Extra arguments (not used)

### Examples

    x <- 1:5
    names(x) <- letters[1:5]
    tidy(x)

[Package broom version 0.4.1 Index]